net.i2p.router.peermanager

## Class SpeedCalculator

- java.lang.Object
- - net.i2p.router.peermanager.SpeedCalculator

-      class SpeedCalculator
      extends Object

  Quantify how fast the peer is - how fast they respond to our requests, how fast they pass messages on, etc. This should be affected both by their bandwidth/latency, as well as their load. IMPORTANT - This code has been through many iterations, and some versions were quite complex. If you are considering changes, review the change control history, and see the previous versions in change control to get 400+ lines of old code.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeedCalculator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static double` | `calc(PeerProfile profile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpeedCalculator

          SpeedCalculator()

  - ### Method Detail

    - #### calc

          public static double calc(PeerProfile profile)